# SpeciesFormChangeMoveLearnedTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeMoveLearnedTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeMoveLearnedTrigger

- Defined in src/data/pokemon-forms.ts:304

#####
Index

### Constructors

constructor

### Properties

known
move

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeMoveLearnedTrigger(move, known?): SpeciesFormChangeMoveLearnedTrigger

- #### Parameters

  - move: Moves
  - known: boolean = true

  #### Returns SpeciesFormChangeMoveLearnedTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:308

## Properties

### known

known: boolean

- Defined in src/data/pokemon-forms.ts:306

### move

move: Moves

- Defined in src/data/pokemon-forms.ts:305

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:314

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:212